generator: admingenerator.generator.doctrine
params:
    model: Webmil\Frontend\AboutBundle\Entity\About
    namespace_prefix: Webmil
    concurrency_lock: ~
    bundle_name: BackendAboutBundle
    pk_requirement: ~
    fields: 
      supportProductEmail:
        label: Email для відділу продукції
      supportTechEmail:
        label: Email для технічного відділу
      linkHomepage:
        formType: url
        label: Лінк на головній
      translations:
        formType: a2lix_translations
        addFormOptions:
         required: false    
         fields:
           politicTitle:
             locale_options:
               uk:
                 label : Заголовок  політики
               ru:
                 label : Заголовок політики
           aboutTitle:
             locale_options:
               uk:
                 label : Заголовок про компанію 
               ru:
                 label : Заголовок про компанію 
           vacancyText:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Текст для вакансій 
               ru:
                 label : Текст для вакансій         
           word:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Слово директора  
               ru:
                 label : Слово директора 
           about:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Про нас    
               ru:
                 label : О нас   
           aboutHomepage:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Про нас (Головна сторінка)   
               ru:
                 label : О нас   (Главная страница)   
           hancock:
            locale_options:
               uk:
                 label : Підпис директора
               ru:
                 label : Підпис директора   
           politic:
             field_type: ckeditor
             config_name: config_standard 
             locale_options:
               uk:
                 label : Політика компанії    
               ru:
                 label : Политика компании    
           actionTitle:
             locale_options:
               uk:
                 label : Заголовок  для акції
               ru:
                 label : Заголовок для акції 
           textHomepage:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Текст на головній
               ru:
                 label : Текст на головній
           linkHomepageText:
             locale_options:
               uk:
                 label : Текст лінку на головній
               ru:
                 label : Текст лінку на головній

           homemetakeywords:
             locale_options:
               uk:
                 label : Home page Meta Keywords
               ru:
                 label : Home page Meta Keywords
           homemetadescription:
             locale_options:
               uk:
                 label : Home page Meta Description
               ru:
                 label : Home page Meta Description

           metakeywords:
             locale_options:
               uk:
                 label : Meta Keywords
               ru:
                 label : Meta Keywords
           metadescription:
             locale_options:
               uk:
                 label : Meta Description
               ru:
                 label : Meta Description


    object_actions:
        delete: ~
    batch_actions:
        delete: ~
builders:
    list:
        params:
            title: Про нас
            display: [id]
#            actions:
#                new: ~
            object_actions:
                edit: ~
#                delete: ~
    filters:
        params:
            display: []
    new:
        params:
            title:  Про нас
            tabs:
              "Головна інформація":
                    "Головна інформація": [translations, linkHomepage]
              "Налаштування email":
                    "Налаштування email": [hrEmail, supportProductEmail, supportTechEmail]
            actions:
                save: ~
                list: ~
    edit:
        params:
            title: "Про нас"
            tabs:
              "Головна інформація":
                    "Головна інформація": [translations, linkHomepage]
              "Налаштування email":
                    "Налаштування email": [hrEmail, supportProductEmail, supportTechEmail]
            actions:
            actions:
                save: ~
                list: ~
    show:
        params:
            title: "You're viewing the object \"%object%\"|{ %object%: YourModel.title }|"
            display: ~
            actions:
                list: ~
                new: ~
    actions:
        params:
            object_actions:
                delete: ~
            batch_actions:
                delete: ~
